/// <reference types="react" />
import { Matcher } from './Matchers';
/** The map of modifiers with an array of matcher. */
export declare type Modifiers = Record<Modifier, Matcher[]> & Record<InternalModifier, Matcher[]>;
/** The modifiers that are used internally in DayPicker. */
export declare type InternalModifier = 'selected' | 'disabled' | 'hidden' | 'today' | 'range_start' | 'range_end' | 'range_middle';
/** A _modifier_ represents different styles or states of a day displayed in the calendar. */
export declare type Modifier = string;
/** The status of a modifiers when matched a day. */
export declare type ModifierStatus = Record<Modifier, true> & Partial<Record<InternalModifier, true>>;
/** The inline-style to apply to the day matching `modifier`. */
export declare type ModifierStyles = Record<Modifier, React.CSSProperties> & Partial<Record<InternalModifier, React.CSSProperties>>;
/** The classnames to assign to each modifier. */
export declare type ModifierClassNames = Record<Modifier, string> & Partial<Record<InternalModifier, string>>;
/** A map of matchers to use as custom modifiers.*/
export declare type CustomModifiers = Record<Modifier, Matcher | Matcher[]>;
