/** Page Objects */
export declare function getDayButton(day: Date): HTMLElement;
export declare function getAllSelectedDays(): HTMLButtonElement[];
export declare function getAllEnabledDays(): HTMLButtonElement[];
export declare function getDayButtons(day: Date): HTMLElement;
export declare function queryDayButton(day: Date): HTMLElement | null;
export declare function getDayCell(day: Date): HTMLElement;
export declare function getWeekButton(week: number): HTMLElement;
export declare function getTableFooter(): HTMLTableSectionElement | null;
export declare function getPrevButton(): HTMLElement;
export declare function queryPrevButton(): HTMLElement | null;
export declare function getNextButton(): HTMLElement;
export declare function queryNextButton(): HTMLElement | null;
export declare function getMonthCaption(container: HTMLElement, index?: number): Element;
export declare function getMonthTable(index?: number): HTMLElement;
export declare function getYearDropdown(): HTMLElement;
export declare function getMonthDropdown(): HTMLElement;
export declare function clickDay(date: Date, options?: {}): void;
export declare function clickPrevMonth(options?: {}): void;
export declare function clickNextMonth(options?: {}): void;
export declare function clickWeek(weekNumber: number): void;
export declare function pressArrowLeft(): void;
export declare function pressArrowRight(): void;
export declare function pressArrowUp(): void;
export declare function pressArrowDown(): void;
export declare function focusDay(day: Date): void;
export declare function getFocusedElement(): Element;
export declare function selectMonth(monthName: string): void;
export declare function selectYear(year: string | number): void;
